Skip to content

Creates one responsibility assignment rule.

POST
/api/workspace/admin/boards/boards/{boardId}/security/profiles/{resourceKind}/assignment-rules
curl --request POST \
--url https://example.com/api/workspace/admin/boards/boards/example/security/profiles/example/assignment-rules \
--header 'Content-Type: application/json' \
--data '{ "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Key": "example", "ResponsibilityKey": "example", "ActorSelectorType": "example", "ActorSelectorKey": "example", "Actions": [ "example" ], "EligibleTargets": [ { "SelectorType": "example", "SelectorKey": "example" } ], "Enabled": true }'
  • None
boardId
required
string
resourceKind
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Creates or updates one responsibility assignment rule.

object
OperationKey
required
string format: uuid
RowVersion
required
string format: uuid
Key
required
string
ResponsibilityKey
required
string
ActorSelectorType
required
string
ActorSelectorKey
required
string
Actions
required
Array<string>
EligibleTargets
required
Array<object>

Identifies one eligible assignment target selector.

object
SelectorType
required
string
SelectorKey
string
nullable
Enabled
required
boolean
Examplegenerated
{
"OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"Key": "example",
"ResponsibilityKey": "example",
"ActorSelectorType": "example",
"ActorSelectorKey": "example",
"Actions": [
"example"
],
"EligibleTargets": [
{
"SelectorType": "example",
"SelectorKey": "example"
}
],
"Enabled": true
}

Unauthorized

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}